Get Transaction Types

Use this to get all available transaction types.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

REQUEST

Field NameDescriptionTypeRequiredConstraints
groupThe name of the transaction groupStringOptional
nameThe name of the transaction typeStringOptional
pageNumThe number of the page to start fromIntegerOptionalDefault: 1
pageSizeThe number of items returned per pageIntegerOptionalDefault: 100. Max: 100

Sample Request

{{base_url}}/api/v1/transaction-types?group=AGENCY BANKING

RESPONSE

Field NameDescriptionType
nameName of the transaction typeString
groupThe transaction group it belongs toString
channelThe transaction group channel it belongs toString
disputableResponseCodesA list of the response codes that are disputableJSON String Array
countNumber of records to expect in the response JSON StringInteger

Sample Response

{
    "count": 2,
    "content": [
        {
            "name": "AGENCY_BANKING_TRANSFER",
            "group": "AGENCY BANKING",
            "channel": "ALL",
            "disputableResponseCodes": [
                "00"
            ]
        },
        {
            "name": "OTHER_TRANSFERS",
            "group": "AGENCY BANKING",
            "channel": "ALL",
            "disputableResponseCodes": [
                "00"
            ]
        }
    ]
}
Query Params
string

The name of the transaction group

string

The name of the transaction name

int32
Defaults to 0
int32
Defaults to 100
Headers
string

The token used to identify the user

string

The domain the user belongs to

Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json